解决Ubuntu安装tensorflow报错:tensorflow-0.5.0-cp27-none-linux_x86_64.whl is not a supported wheel on this

解决Ubuntu安装tensorflow报错:tensorflow-0.5.0-cp27-none-linux_x86_64.whl is not a supported wheel on this platform.

[本文为原创博客,转载请注明出处:http://blog.csdn.net/scotfield_msn/article/details/54234914]

在虚拟机中开了Ubuntu14.0.4,然后安装一系列的ML包:scipy、numpy、sklearn、pylab、pandas,以及pip的安装。哦对了,用的是python2.7。


接着按照网上的教程安装TensorFlow:

sudo pip install --upgrade https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.8.0-cp27-none-linux_x86_64.whl

然后报了个红色的大错,这个错误在试了N多遍还是依然存在:

Cannot install tensorflow on fresh ubuntu partition: tensorflow-0.8.0-cp34-cp34m-linux_x86_64.whl is not a supported wheel on this platform


经过一大堆的Google和StackOverflow以及询问师兄们还是没解决问题。其中参考了这些博客:

1.[认为pip的版本没对](http://blog.csdn.net/kevinew/article/details/51519279)

2.[认为TensorFlow没连上](http://stackoverflow.com/questions/37425579/cannot-install-tensorflow-on-fresh-ubuntu-partition-tensorflow-0-8-0-cp34-cp34m)


其实,都错了。真正的原因在于:

TensorFlow only be installed under a 64bit platform but not a 32bit machine!

亲,TensorFlow是不支持32位机的~

关键是我翻遍了网页也没看到哪里有一条hint提示我说tensorflow不支持32位机啊大哭

这是有多坑!


果然,虚拟机装的Ubuntu是32bit的。

倒吸一口气,马上装上64bit的ubuntu。另外,VM建议装Ubuntu14,而不是最新的ubuntu16,因为16真的很卡……诚不欺尔。


刷刷地一顿TensorFlow安装完毕。

  • 0
    点赞
  • 3
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 技术黑板 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值